R4DD(8)

NAME
r4dd - Remote For Device-under-test (R4D) Daemon

SYNOPSIS
r4dd [-h] [-c CONFIG] [-l LOGFILE] [-v [VERBOSE]]

DESCRIPTION
Remote For Device-under-test (R4D) Daemon acts as controlling server for test racks. Each Rack contains a serial device server and a power control switch. A rack can host several DUTs (device-under-test). r4d connects to the serial device server and the power switch to perform actions on user request. A user connects to r4d through a SOAP interface.

OPTIONS

-c CONFIG, --config CONFIG
    use configuration file CONFIG.

-h --help
    show a help message and exit.

-l LOGFILE, --logfile LOGFILE
    log messages to file LOGFILE.

-v , --verbose VERBOSITY
    enable verbose messages and set verbosity level to VERBOSITY. If no VERBOSITY is given the verbosity level is set to 1.

AUTHOR
Benedikt Spranger (b.spranger@linutronix.de) Manuel Traut (m.traut@linutronix.de)